apt-get upgrade et dist-upgrade

Forum Forums General Other Languages French apt-get upgrade et dist-upgrade

This topic contains 1 reply, has 2 voices, and was last updated by male Mar 24-11:42 am.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #8225
    Member

    tradonal

    hello all
    voici tjs quelques informations:

    root@antix1:/# inxi -rS
    System:
      Host: antix1 Kernel: 4.10.5-antix.1-486-smp i686 bits: 32 Desktop: IceWM 1.4.2 
      Distro: antiX-17_386-base Heather Heyer 24 October 2017 
    Repos:
      Active apt sources in: /etc/apt/sources.list.d/antix.list 
      1: deb http://repo.antixlinux.com/stretch stretch main nosystemd
      Active apt sources in: /etc/apt/sources.list.d/debian-stable-updates.list 
      1: deb http://ftp.be.debian.org/debian/ stretch-updates main contrib non-free
      Active apt sources in: /etc/apt/sources.list.d/debian.list 
      1: deb http://ftp.be.debian.org/debian/ stretch main contrib non-free
      2: deb http://security.debian.org/ stretch/updates main contrib non-free
      No apt repos found in: /etc/apt/sources.list.d/onion.list 
      No apt repos found in: /etc/apt/sources.list.d/various.list 
    root@antix1:/# 
    

    un upgrade propose ceci:

    root@antix1:/# apt-get -s upgrade 
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Calcul de la mise à jour... Fait
    Les paquets suivants ont été conservés :
      antix-goodies bootrepair-antix broadcom-manager-antix codecs-antix
      control-centre-antix live-usb-maker livestreamer packageinstaller
      virtualbox-guest-dkms
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 9 non mis à jour.
    

    Et un dist-upgrade ceci:

    root@antix1:/# apt-get -s dist-upgrade 
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Calcul de la mise à jour... Fait
    Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
      libjs-jquery libjs-sphinxdoc libjs-underscore python-chardet python-concurrent.futures
      python-livestreamer python-pkg-resources python-requests python-singledispatch
      python-urllib3
    Veuillez utiliser « sudo apt autoremove » pour les supprimer.
    Les NOUVEAUX paquets suivants seront installés :
      antix-viewer dict libcmd libmaa3 librecode0 libxosd2 live-usb-maker-gui-antix
      netselect netselect-apt python3-chardet python3-crypto python3-pycountry
      python3-requests python3-six python3-socks python3-streamlink python3-urllib3
      python3-websocket recode repo-manager streamlink wamerican xosd-bin
    Les paquets suivants seront mis à jour :
      antix-goodies bootrepair-antix broadcom-manager-antix codecs-antix
      control-centre-antix live-usb-maker livestreamer packageinstaller
    8 mis à jour, 23 nouvellement installés, 0 à enlever et 0 non mis à jour.
    Inst libxosd2 (2.2.14-2.1+b1 Debian:9.4/stable [i386])
    Inst xosd-bin (2.2.14-2.1+b1 Debian:9.4/stable [i386])
    Inst antix-goodies [0.6.2] (0.6.5 antiX repository:3.1/stretch [all])
    Inst antix-viewer (0.1.1 antiX repository:3.1/stretch [i386])
    Inst bootrepair-antix [16.14] (17.4 antiX repository:3.1/stretch [i386])
    Inst broadcom-manager-antix [16.13] (16.16 antiX repository:3.1/stretch [i386])
    Inst codecs-antix [16.13] (16.16 antiX repository:3.1/stretch [i386])
    Inst libcmd (0.18.2.1 antiX repository:3.1/stretch [i386])
    Inst wamerican (7.1-1 Debian:9.4/stable [all])
    Inst librecode0 (3.6-23 Debian:9.4/stable [i386])
    Inst recode (3.6-23 Debian:9.4/stable [i386])
    Inst libmaa3 (1.3.2-3+b2 Debian:9.4/stable [i386])
    Inst dict (1.12.1+dfsg-4 Debian:9.4/stable [i386])
    Inst live-usb-maker [0.3.0] (0.3.3 antiX repository:3.1/stretch [all])
    Inst live-usb-maker-gui-antix (0.1.1 antiX repository:3.1/stretch [i386])
    Inst netselect (0.3.ds1-28+b1 Debian:9.4/stable [i386])
    Inst netselect-apt (0.3.ds1-28 Debian:9.4/stable [all])
    Inst repo-manager (0.1.3 antiX repository:3.1/stretch [i386])
    Inst control-centre-antix [0.6.3] (0.6.7 antiX repository:3.1/stretch [all])
    Inst python3-crypto (2.6.1-7 Debian:9.4/stable [i386])
    Inst python3-pycountry (17.5.14+ds1-0.2 antiX repository:3.1/stretch [all])
    Inst python3-six (1.10.0-3 Debian:9.4/stable [all])
    Inst python3-urllib3 (1.19.1-1 Debian:9.4/stable [all])
    Inst python3-chardet (2.3.0-2 Debian:9.4/stable [all])
    Inst python3-requests (2.12.4-1 Debian:9.4/stable [all])
    Inst python3-socks (1.6.5-1 Debian:9.4/stable [all])
    Inst python3-websocket (0.37.0-2 Debian:9.4/stable [all])
    Inst python3-streamlink (0.10.0+dfsg-1.1 antiX repository:3.1/stretch [all])
    Inst streamlink (0.10.0+dfsg-1.1 antiX repository:3.1/stretch [all])
    Inst livestreamer [1.12.2-1] (1.12.2+streamlink+0.10.0+dfsg-1.1 antiX repository:3.1/stretch [all])
    Inst packageinstaller [0.1.1] (0.1.4 antiX repository:3.1/stretch [i386])
    Conf libxosd2 (2.2.14-2.1+b1 Debian:9.4/stable [i386])
    Conf xosd-bin (2.2.14-2.1+b1 Debian:9.4/stable [i386])
    Conf antix-goodies (0.6.5 antiX repository:3.1/stretch [all])
    Conf antix-viewer (0.1.1 antiX repository:3.1/stretch [i386])
    Conf bootrepair-antix (17.4 antiX repository:3.1/stretch [i386])
    Conf broadcom-manager-antix (16.16 antiX repository:3.1/stretch [i386])
    Conf codecs-antix (16.16 antiX repository:3.1/stretch [i386])
    Conf libcmd (0.18.2.1 antiX repository:3.1/stretch [i386])
    Conf wamerican (7.1-1 Debian:9.4/stable [all])
    Conf librecode0 (3.6-23 Debian:9.4/stable [i386])
    Conf recode (3.6-23 Debian:9.4/stable [i386])
    Conf libmaa3 (1.3.2-3+b2 Debian:9.4/stable [i386])
    Conf dict (1.12.1+dfsg-4 Debian:9.4/stable [i386])
    Conf live-usb-maker (0.3.3 antiX repository:3.1/stretch [all])
    Conf live-usb-maker-gui-antix (0.1.1 antiX repository:3.1/stretch [i386])
    Conf netselect (0.3.ds1-28+b1 Debian:9.4/stable [i386])
    Conf netselect-apt (0.3.ds1-28 Debian:9.4/stable [all])
    Conf repo-manager (0.1.3 antiX repository:3.1/stretch [i386])
    Conf control-centre-antix (0.6.7 antiX repository:3.1/stretch [all])
    Conf python3-crypto (2.6.1-7 Debian:9.4/stable [i386])
    Conf python3-pycountry (17.5.14+ds1-0.2 antiX repository:3.1/stretch [all])
    Conf python3-six (1.10.0-3 Debian:9.4/stable [all])
    Conf python3-urllib3 (1.19.1-1 Debian:9.4/stable [all])
    Conf python3-chardet (2.3.0-2 Debian:9.4/stable [all])
    Conf python3-requests (2.12.4-1 Debian:9.4/stable [all])
    Conf python3-socks (1.6.5-1 Debian:9.4/stable [all])
    Conf python3-websocket (0.37.0-2 Debian:9.4/stable [all])
    Conf python3-streamlink (0.10.0+dfsg-1.1 antiX repository:3.1/stretch [all])
    Conf streamlink (0.10.0+dfsg-1.1 antiX repository:3.1/stretch [all])
    Conf livestreamer (1.12.2+streamlink+0.10.0+dfsg-1.1 antiX repository:3.1/stretch [all])
    Conf packageinstaller (0.1.4 antiX repository:3.1/stretch [i386])
    

    Faut il utiliser dist-upgrade ou pas ?
    merci

    #8232
    Member
    male
    male

    Jetez un coup d’oeil à
    man apt-get
    et décidez vous-même de ce que vous voulez faire.

    Je travaille dans tous les systèmes avec

    apt update
    apt dist-upgrade
    apt clean
Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.